/* line.c 

 A silly little utility to print out the line specidfied in the desired file.


 compile with cc -o line line.c

 run with line <filename> <lineno>

 Jerry Bolton, Jr.
 Rose-Hulman Institute of Technology.
 
 Modified for K & R C at Western Michigan University.

*/

#include <stdio.h>

FILE *infile;
char *filename[128];
char inbuf[1024];
int target;
int line;

int
main (argc, argv)
    int argc;
    char **argv;
{

    strcpy(filename,argv[1]);
    sscanf(argv[2],"%d",&target);	

    infile = fopen(filename,"r");

    if (infile == NULL) {
	printf("error opening file.\n");
	return(0);
    };

    line = 0;

    while (!feof(infile) && line++ != target) {
	fgets(inbuf,1024,infile);
	if (line == target) printf("%s",inbuf);
    };

    fclose(infile);
    return(0);
}

